package com.sf._04_泛型;

import java.util.ArrayList;
import java.util.List;

public class Test {
    /**
     * MathUtils 类
     * 这个类当中有两个变量 a  , b
     *
     * 要求在创建MathUtil这个类的时候可以创建Integer  double
     *
     *
     * add方法 这个方法需要传递a , b
     * 计算a + b
     *
     * @param args
     */


    public static void main(String[] args) {
        /**
         * 创建三个Point<Integer> <String><Double>
         */
//        Point<Integer> point =  new Point<>(10,20);
//        System.out.println(point.getX());
//
//        Point<String> pointStr =  new Point<>("20","30");
//        System.out.println(point.getX());
//
//        Point<Double> pointDouble = new Point<>(30.0,40.0);
//        System.out.println(point.getX());

        MathUtils<Integer> mathUtils = new MathUtils<>();

        MathUtils.add(1,2);
        MathUtils.add(3.1,3.2);

        List list = new ArrayList();
        list.add(1);
        Object obj = list.get(0);

        List<Integer> list1 = new ArrayList<>();
        list1.add(1);
        Integer integer = list1.get(0);

    }
}
